package ch.rakudave.jnetmap.model.device;

import java.util.EventListener;

import com.thoughtworks.xstream.annotations.XStreamAlias;

/**
 * Defines a listener that will be notified when a device changes its properties
 * @author rakudave
 */
@XStreamAlias("DeviceListener")
public interface DeviceListener extends EventListener {
	/**
	 * Called when a device changes its properties
	 * @param e event containing details of the change
	 * @see DeviceEvent
	 */
	void deviceChanged(DeviceEvent e);
}
