package ch.rakudave.jnetmap.view.jung;

import org.apache.commons.collections15.Transformer;

import ch.rakudave.jnetmap.model.IF.NetworkIF;
import ch.rakudave.jnetmap.model.IF.PhysicalIF;
import ch.rakudave.jnetmap.model.device.Device;
import ch.rakudave.jnetmap.util.Settings;

public class VertexLabeller implements Transformer<Device, String> {

	@Override
	public String transform(Device arg0) {
		StringBuffer sb = new StringBuffer();
		sb.append("<html><center>");
		if (Settings.getBoolean("device.label.name", true)) sb.append(arg0.getName()).append("<br>");
		if (Settings.getBoolean("device.label.description", false)) sb.append(arg0.getDesctription()).append("<br>");
		if (Settings.getBoolean("device.label.location", false)) sb.append(arg0.getLocation()).append("<br>");
		if (Settings.getBoolean("device.label.vendor", false)) sb.append(arg0.getVendor()).append("<br>");
		if (Settings.getBoolean("device.label.model", false)) sb.append(arg0.getModel()).append("<br>");
		if (Settings.getBoolean("device.label.ip", false)) {
			for (NetworkIF nif : arg0.getInterfaces()) {
				if (nif instanceof PhysicalIF) {
					sb.append(nif.getAddress().getHostAddress()).append("<br>");
				}
			}
		}
		if (Settings.getBoolean("device.label.mac", false)) {
			for (NetworkIF nif : arg0.getInterfaces()) {
				if (nif instanceof PhysicalIF) {
					sb.append(((PhysicalIF) nif).getMacAddress()).append("<br>");
				}
			}
		}
		sb.append("</center></html>");
		return sb.toString();
	}

}
